From: Colin Watson <cjwatson@debian.org>
Date: Tue, 17 Dec 2024 00:39:08 +0000
Subject: Fix test failure if multiple pytest plugins are installed
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Dependencies can sometimes cause extra pytest plugins to be installed
while running tests: for example, in current Debian, py → pkg-resources
→ inflect → typeguard includes one.  The order of plugins that pytest
displays on the `plugins:` line of its output doesn't appear to be
defined, so tolerate variation.

Forwarded: https://github.com/pytest-dev/pytest-forked/pull/93
Last-Update: 2024-12-17
---
 testing/test_xfail_behavior.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/testing/test_xfail_behavior.py b/testing/test_xfail_behavior.py
index d4e5ee7..2b8946a 100644
--- a/testing/test_xfail_behavior.py
+++ b/testing/test_xfail_behavior.py
@@ -50,7 +50,7 @@ def test_xfail(is_crashing, is_strict, testdir):
         expected_word = "XPASS"
 
     session_start_title = "*==== test session starts ====*"
-    loaded_pytest_plugins = "plugins: forked*"
+    loaded_pytest_plugins = "plugins:* forked*"
     collected_tests_num = "collected 1 item"
     expected_progress = f"test_xfail.py {expected_letter!s}*"
     failures_title = "*==== FAILURES ====*"
